%include common-macros.specinclude

Summary: A real-time visual space simulation
Name: lsb-celestia
Version: 1.6.0
Release: 10.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/graphics
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-c++ lsb-build-desktop

Source0: http://easynews.dl.sourceforge.net/sourceforge/celestia/celestia-%{version}.tar.gz
Source1: lsb-celestia.desktop
Source2: celestia.png
Patch0: celestia-%{version}.patch
#Patch1: celestia-%{version}.libpng15.patch

%description
LSB conforming version of Celestia.  Celestia is a free real-time
space simulation that lets you experience our universe in three
dimensions. Celestia is added to the LSB Application Battery primarly
to demonstrate a C++ program which uses the OpenGL library.

%prep
%setup -q -n celestia-%{version}
%patch0 -p1 -b .lsbcc
#%patch1 -p0 -b .png15

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# needed on newer gcc
export CXXFLAGS=-fpermissive

# celestia needs libdl to link correctly
export LDFLAGS=-ldl

# disable use of -Wundef compiler flag
export kde_cv_prog_cxx_Wundef=no

./configure \
    --prefix=%{app_prefix} \
    --with-glut

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# desktop stuff
install -d %{buildroot}%{sharedir}/applications
install -d %{buildroot}%{sharedir}/icons/hicolor/16x16/apps
cp %{SOURCE1} %{buildroot}%{sharedir}/applications
cp %{SOURCE2} %{buildroot}%{sharedir}/icons/hicolor/16x16/apps

# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.celestia.build.patches 

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-celestia.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-celestia.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Wed Sep 24 2014 Jeff Licquia <licquia@linuxfoundation.org>
- revert png15 patch

* Wed Feb 13 2013 Stew Benedict <stewb@linux-foundation.org>
- use a patch from Mageia for png15 build (P1)

* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- bump to 1.5.0

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- only execute xdg-desktop-menu if present

* Mon Oct 22 2007 Stew Benedict <stewb@linux-foundation.org>
- install/remove menu item using xdg-utils
